# BigBlueButton

## Présentation

Big blue button est un système de vidéo conférence basé sur un client HTML5 [https://docs.bigbluebutton.org/](https://docs.bigbluebutton.org/). Une API permettant de créer, joindre et terminer un meeting, ainsi que récupérer des enregistrements de meeting est également disponible [https://docs.bigbluebutton.org/dev/api.html](https://docs.bigbluebutton.org/dev/api.html).

Greenlight est un frontend fournissant une authentification et une gestion d'utilisateurs et de réunions basé sur cette API [https://docs.bigbluebutton.org/greenlight/gl-overview.html](https://docs.bigbluebutton.org/greenlight/gl-overview.html).

## Documentations

Installation de big blue button 2.2 [https://docs.bigbluebutton.org/2.2/install.html](https://docs.bigbluebutton.org/2.2/install.html) et 2.3 [https://docs.bigbluebutton.org/dev/dev23.html](https://docs.bigbluebutton.org/dev/dev23.html).

Installation de greenlight [https://docs.bigbluebutton.org/greenlight/gl-install.html](https://docs.bigbluebutton.org/greenlight/gl-install.html) et administration [https://docs.bigbluebutton.org/greenlight/gl-admin.html](https://docs.bigbluebutton.org/greenlight/gl-admin.html) . 

## Instances

  - [https://bbb.hepia-isc.ch](https://bbb.hepia-isc.ch) : Ubuntu 16.04, bbb 2.2, greenlight 2
  - [https://bbb-dev.hepia-isc.ch](https://bbb-dev.hepia-isc.ch) : Ubuntu 20.04, bbb 2.3, greenlight 2

## Todo

  - Fixer l'erreur 1007 de bbb-dev https://docs.bigbluebutton.org/2.2/troubleshooting https://docs.bigbluebutton.org/2.2/configure-firewall.html . 
  - Configurer serveur mail pour notifications


## Procédures

### Redémarrage

Après redémarrage, relancer `greenlight` avec la commande suivante depuis le répertoire `/root/greenlight` :

```
docker-compose up -d
```


Pour redémarrer bbb :

```
sudo bbb-conf --restart
```


### Changement de nom de domaine

```
sudo bbb-conf --setip nouveau.domaine.org
sudo certbot --webroot -w /var/www/bigbluebutton-default/ -d nouveau.domaine.org certonly
```

Mettre à jour les noms de domaine dans `/etc/nginx/sites-available/bigbluebutton` et `/root/greenlight/.env`.

### To skip "audio test"

The following does NOT work, it's just here for reference.

Edit `/usr/share/meteor/bundle/programs/server/assets/app/config/settings.yml` and change:

```
skipCheck: false
```

to:

```
skipCheck: true
```

Restart bbb with:

```
bbb-conf --restart
```

Another possibility that might work but not tested is described here: [https://docs.bigbluebutton.org/2.2/customize.html#Customize_](https://docs.bigbluebutton.org/2.2/customize.html#Customize_)

On that page, search for the `userdata-bbb_skip_check_audio` parameter.
